	var url="http://weather.livedoor.com/forecast/webservice/rest/v1?city=24&day=today";

function setWeather (){
	var xml_request = new XMLHttpRequest();
//    setTimeout("setWeather()",1000);

	xml_request.open("GET", url);
	xml_request.onload = function() {xml_responded(xml_request);}
//	xml_request.overrideMimeType("text/xml");
//	xml_request.setRequestHeader("Cache-Control", "no-cache");
	xml_request.send();	
	
//	return xml_request;
}

function xml_responded (request){
	if (request.responseXML)
	{
		var city = request.responseXML.childNodes.item(0).childNodes.item(3).attributes.item(2).nodeValue;
		document.getElementById("city").innerHTML = city;
		var forecast = request.responseXML.childNodes.item(0).childNodes.item(21).childNodes.item(1).textContent;
		document.getElementById("forecast").innerHTML = forecast;
		var temp_hi = request.responseXML.childNodes.item(0).childNodes.item(23).childNodes.item(1).childNodes.item(1).textContent;
		var temp_low = request.responseXML.childNodes.item(0).childNodes.item(23).childNodes.item(3).childNodes.item(1).textContent;
		document.getElementById("temp").innerHTML = temp_hi + "° / " + temp_low + "°";
		var image = request.responseXML.childNodes.item(0).childNodes.item(21).childNodes.item(5).textContent;
		document.getElementById("image").src = image;
		
//		updateWeather(wtrObj);
	}
	else
	{
//		updateWeather({error:true});
	}
}

function reload() {
    location.reload();
}



function time_update() {
    setTimeout("time_update()",1000);
    setTime();
    setDate();
    setWeather();
}

function setTime() {
    date = new Date().toString();
    document.getElementById("h1").innerHTML = date.substr(16,1);
    document.getElementById("h2").innerHTML = date.substr(17,1);
    document.getElementById("m1").innerHTML = date.substr(19,1);
    document.getElementById("m2").innerHTML = date.substr(20,1);
}
arr_day = new Array("日曜日","月曜日","火曜日","水曜日","木曜日","金曜日","土曜日");
function setDate() {
    get_date = new Date();
    cr_year = get_date.getYear()-88;
    cr_month = get_date.getMonth()+1;
    cr_date = get_date.getDate();
    cr_day = get_date.getDay();
    
    document.getElementById("date").innerHTML = "平成"+cr_year+"年 "+cr_month+"月 "+cr_date+"日<br>("+arr_day[cr_day]+")";
}


var wtrImages = [
	"tstorm3",		//0 	tornado
	"tstorm3",		//1 	tropical storm
	"tstorm3",		//2 	hurricane
	"tstorm3",		//3 	severe thunderstorms
	"tstorm2",		//4 	thunderstorms
	"sleet",		//5 	mixed rain and snow
	"sleet",		//6 	mixed rain and sleet
	"sleet",		//7 	mixed snow and sleet
	"sleet",		//8 	freezing drizzle
	"light_rain",	//9 	drizzle
	"sleet",		//10 	freezing rain
	"shower3",		//11 	showers
	"shower3",		//12 	showers
	"snow1",		//13 	snow flurries
	"snow2",		//14 	light snow showers
	"snow4",		//15 	blowing snow
	"snow5",		//16 	snow
	"hail",			//17 	hail
	"sleet",		//18 	sleet
	"mist",			//19 	dust
	"fog",			//20 	foggy
	"fog",			//21 	haze
	"fog",			//22 	smoky
	"cloudy1",		//23 	blustery
	"cloudy1",		//24 	windy
	"overcast",		//25 	cold
	"cloudy5",		//26 	cloudy
	"cloudy4_night",//27 	mostly cloudy (night)
	"cloudy4",		//28 	mostly cloudy (day)
	"cloudy1_night",//29 	partly cloudy (night)
	"cloudy1",		//30 	partly cloudy (day)
	"sunny_night",	//31 	clear (night)
	"sunny",		//32 	sunny
	"mist_night",	//33 	fair (night)
	"mist",			//34 	fair (day)
	"hail",			//35 	mixed rain and hail
	"sunny",		//36 	hot
	"tstorm1",		//37 	isolated thunderstorms
	"tstorm2",		//38 	scattered thunderstorms
	"tstorm2",		//39 	scattered thunderstorms
	"tstorm2",		//40 	scattered showers
	"snow5",		//41 	heavy snow
	"snow3",		//42 	scattered snow showers
	"snow5",		//43 	heavy snow
	"cloudy1",		//44 	partly cloudy
	"tstorm1",		//45 	thundershowers
	"snow2",		//46 	snow showers
	"tstorm1",		//47 	isolated thundershowers
	"dunno",		//3200  (48)	not available
];


//Searches XML document for nodes
function searchForChild(element, nodeName)
{
	var child;
	for (child = element.firstChild; child != null; child = child.nextSibling)
		if (child.nodeName == nodeName)
			return child;		
	return null;
}

//Sends an XMLHTTPRequest - snazzy huh
function fetchWeatherData (){

	var url="http://weather.yahooapis.com/forecastrss?w="+YWCode+"&u="+tempUnit;
	
	var xml_request = new XMLHttpRequest();
	xml_request.onload = function() {xml_responded(xml_request);}
	xml_request.overrideMimeType("text/xml");
	xml_request.open("GET", url+"&antiCache="+Math.floor(Math.random()*1001));
	xml_request.setRequestHeader("Cache-Control", "no-cache");
	xml_request.send(null);	
	
	return xml_request;
}
